Package net.sourceforge.jiu.data

# Interface RGBImage

All Superinterfaces:
  `PixelImage`, `RGBIndex`

All Known Subinterfaces:
  `RGB24Image`, `RGB48Image`, `RGBIntegerImage`

All Known Implementing Classes:
  `BufferedRGB24Image`, `MemoryRGB24Image`, `MemoryRGB48Image`

public interface RGBImage extends PixelImage, RGBIndex
An interface for RGB truecolor images. This is an empty interface, useful for labeling an image type as being an RGB image type.

Since:
  0.9.0
Author:
  Marco Schmidt

## Field Summary

### Fields inherited from interface net.sourceforge.jiu.data.RGBIndex

`INDEX_BLUE, INDEX_GREEN, INDEX_RED`

## Method Summary

### Methods inherited from interface net.sourceforge.jiu.data.PixelImage

`createCompatibleImage, createCopy, getAllocatedMemory, getBitsPerPixel, getHeight, getImageType, getNumChannels, getWidth`